com.verisign.epp.serverstub

## Class HostHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPHostHandler
  - - com.verisign.epp.serverstub.HostHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    NamestoreExtHostHandler

      public class HostHandler
      extends EPPHostHandler

  The `HostHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPHostHandler` class. It defines the Server's response to all received EPP Host Commands.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostHandler()` Create an instance of `HostHandler`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doHostCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Check command is received.
    `protected EPPEventResponse` | `doHostCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Create command is received.
    `protected EPPEventResponse` | `doHostDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Delete command is received.
    `protected EPPEventResponse` | `doHostInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Info command is received.
    `protected EPPEventResponse` | `doHostUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Update command is received.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Host commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Host commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class com.verisign.epp.framework.EPPHostHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostHandler

          public HostHandler()

      Create an instance of `HostHandler`

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all Host commands need to execute before they execute their command specific behavior.
      Overrides:
        `preHandleEvent` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all Host commands need to execute after they execute their command specific behavior.
      Overrides:
        `postHandleEvent` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doHostUpdate

          protected EPPEventResponse doHostUpdate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Update command is received.
      Specified by:
        `doHostUpdate` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostInfo

          protected EPPEventResponse doHostInfo(EPPEvent aEvent,
                                                java.lang.Object aData)

      Invoked when a Host Info command is received.
      Specified by:
        `doHostInfo` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostDelete

          protected EPPEventResponse doHostDelete(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Delete command is received.
      Specified by:
        `doHostDelete` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostCheck

          protected EPPEventResponse doHostCheck(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Invoked when a Host Check command is received.
      Specified by:
        `doHostCheck` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostCreate

          protected EPPEventResponse doHostCreate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Create command is received.
      Specified by:
        `doHostCreate` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.